#include <stdio.h>

#include "as_tokenizer.h"
#include "utils.h"

int main(int argc, char** argv) {
    if (argc != 2) {
        fprintf(stderr, "usage: fvm-as <inputfile>\n");
        return 1;
    }
    allocator_t alct = new_allocator();
    FILE *fp = fopen(argv[1], "r");
    token_stream_t ts = new_token_stream(alct, fp);

    delete_allocator(alct);
    return 0;
}

